Package org.gradle.tooling.model.eclipse

## Interface EclipseWorkspaceProject

-     public interface EclipseWorkspaceProject

  Information about a project in the eclipse workspace.
  Since:
    5.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getLocation()` | The filesystem location of the eclipse project
    `java.lang.String` | `getName()` | The name of the eclipse project
    `boolean` | `isOpen()` | The status of the eclipse project.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      The name of the eclipse project
      Returns:
        the name of the project, never null

    - #### getLocation

          java.io.File getLocation()

      The filesystem location of the eclipse project
      Returns:
        the location of the eclipse project, may be null in case of remote projects

    - #### isOpen

          boolean isOpen()

      The status of the eclipse project.
      Since:
        5.6